/*
	APL Compiler

        some common stuff for the run time utilities
        sws

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 02111-1307, USA.

*/

#ifndef _APLC_RUN_H
#define _APLC_RUN_H

#include "aplc.h"
/* for various mallocs */
/* sws put here since it needs error */
#include "memalloc.h"

/* input buffersize for reading */
/* used in runio.c and runmem.c */
/* #define APLC_IBUFSIZE 2*/
/* #define APLC_IBUFSIZE 3*/
#define APLC_IBUFSIZE 80

/* used by .bxts, .bxdl  */
#define MS_per_SEC  1000.0
#define US_per_SEC  1000000.0
#define NS_per_SEC  1000000000.0

/* some stuff for DJPC */
#ifdef DJPC 

/* define u_int, for runio.c */
typedef unsigned int u_int

/* define O_NDELAY */
#ifndef O_NDELAY
#ifdef O_NONBLOCK
#define O_NDELAY  O_NONBLOCK
#else
/* what should go here?? */
#define O_NDELAY  0
#endif
#endif /* #ifndef O_NDELAY*/

#endif /* #ifdef DJPC */

#define EPIPHANY
#ifdef EPIPHANY

/* define u_int, for runio.c 
typedef unsigned int u_int */ 

/* define O_NDELAY */
#ifndef O_NDELAY
#ifdef O_NONBLOCK
#define O_NDELAY  O_NONBLOCK
#else
/* what should go here?? */
#define O_NDELAY  0
#endif
#endif /* #ifndef O_NDELAY*/

#endif /* #ifdef EPIPHANY */

/* (#pp),(int switch d->g),(int width),(real digits) */
extern int aplc_ppw[4]; 

#endif /* _APLC_RUN_H */
/* end of run.h */
